Bug 64774 - Selective limitation of package imports
Summary: Selective limitation of package imports
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: unspecified
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Todd Warner
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 78569
TreeView+ depends on / blocked
 
Reported: 2002-05-10 19:35 UTC by Greg DeKoenigsberg
Modified: 2007-07-31 19:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-20 17:49:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg DeKoenigsberg 2002-05-10 19:35:18 UTC
A large customer has requested the ability to limit which packages are imported
into satellite channels during the import process.  The two prime cases:

1. Prevent a package from being imported into a channel at time of initial
channel import.  For example, specify various games packages and prevent them
from being imported into the 7.3 base channel.

2. Prevent a new package version from being imported into a channel at time of
incremental channel import.  For example, refusing to accept package foo-1.3.1
becase foo-1.3.0 is important to their environment.

This request comes with the very important, and understood, caveat that this
large customer will have to deal with dependency issues that arise from
eliminating packages from the base channel.

Comment 1 Todd Warner 2002-05-20 17:49:23 UTC
The either requires a blacklist or some kind of skipped list...

The is for next version no?

Comment 2 Greg DeKoenigsberg 2002-05-20 20:24:58 UTC
Deferring until blacklist functionality for next version.


Note You need to log in before you can comment on or make changes to this bug.